Upgrading from linuxcnc 2.7 to 2.8

More
27 May 2020 18:14 #169141 by Firaol
Hello, I am new to linuxcnc and i recently started using linuxcnc 2.7. i wanted to used linuxcnc on a plasma cnc but i read online that i have to upgrade to 2.8 or later versions to do that. Can anyone tell me how to upgrade to linuxcnc 2.8? i am using Debian wheezy.

Please Log in or Create an account to join the conversation.

More
27 May 2020 21:17 #169157 by tommylight
There is no need to upgrade if it is working for you.
You should upgrade if you want to use PlasamC, or separate gantry homing if you have 2 motors driving the gantry.
Give us more details about the machine, electronics, etc.
Also wheezy is to old, but again, if it is working, keep using it.
The following user(s) said Thank You: Firaol

Please Log in or Create an account to join the conversation.

More
29 May 2020 08:34 #169288 by Firaol
I want to use PlasmaC and the new CNC i am building has its gantry driven by two stepper motors. The break out board i use is a cheap made in china board, the only name i could find for it online is 5 axis mach3 board, i am using TB6600 stepper motor drivers and nema 23 stepper motors.

Please Log in or Create an account to join the conversation.

More
29 May 2020 09:01 #169289 by tommylight
buildbot.linuxcnc.org/
Follow the steps there, just check if you have Wheezy or Stretch version of Debian installed.
The following user(s) said Thank You: Firaol

Please Log in or Create an account to join the conversation.

More
29 May 2020 13:00 #169311 by Firaol
okay, thank you.
The following user(s) said Thank You: tommylight

Please Log in or Create an account to join the conversation.

Time to create page: 0.083 seconds
Powered by Kunena Forum